Summary:	Administrative utilities for the XFS filesystem
Name:		xfsdump
Version:	3.1.0
Release:	%mkrel 1
Source0:	ftp://oss.sgi.com/projects/xfs/cmd_tars/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	attr-devel
BuildRequires:	libext2fs-devel
BuildRequires:	xfs-devel
BuildRequires:	dm-devel
BuildRequires:	ncurses-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep

%setup -q

%build
export DEBUG="-DNDEBUG"
export OPTIMIZER="%{optflags}"
%configure2_5x
%make DEBUG="-DNDEBUG" OPTIMIZER="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
make install DIST_ROOT=%{buildroot}/

# nuke files already packaged as %doc
rm -rf %{buildroot}%{_datadir}/doc/xfsdump/

# for coerency, rename xfsdump|xfsrestore to dump|restore.xfs
mv %{buildroot}/sbin/xfsdump %{buildroot}/sbin/dump.xfs
mv %{buildroot}/sbin/xfsrestore %{buildroot}/sbin/restore.xfs
ln -sf /sbin/dump.xfs %{buildroot}/sbin/xfsdump
ln -sf /sbin/restore.xfs %{buildroot}/sbin/xfsrestore
ln -sf %{_mandir}/man8/xfsdump.8 %{buildroot}%{_mandir}/man8/dump.xfs
ln -sf %{_mandir}/man8/xfsrestore.8 %{buildroot}%{_mandir}/man8/restore.xfs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/CHANGES.gz doc/COPYING doc/INSTALL doc/README.xfsdump
/sbin/*
%{_sbindir}/*
%{_mandir}/*/*






%changelog

* Sun Mar 25 2012 tmb <tmb> 3.1.0-1.mga2
+ Revision: 226158
- update to 3.1.0 (bugfixes for restoring)

* Sat Oct 15 2011 tmb <tmb> 3.0.6-1.mga2
+ Revision: 155318
- update to 3.0.6

* Thu Apr 14 2011 pterjan <pterjan> 3.0.5-2.mga1
+ Revision: 84822
- Re-upload after upload bug

* Wed Apr 13 2011 tv <tv> 3.0.5-1.mga1
+ Revision: 84633
- new release

* Thu Feb 24 2011 ennael <ennael> 3.0.4-2.mga1
+ Revision: 58813
- clean spec file
- imported package xfsdump

